Subject: Re: Packages using perl in inst scripts and not requiring perl: normal?

From: [email-masked] (Jeff Prothero)
Date: Thu, 25 Jul 1996 13:43:45 -0700

For what it's worth, I'd personally favor making
Perl essential.  I think Perl scripts are more
readable, maintainable, efficient and powerful
than /bin/sh scripts, and that the trend is
clearly towards writing more and more shellscript
type stuff in Perl.

It is much easier to add sophisticated functionality
in Perl than in /bin/sh scripts:  Making Perl essential
would free packages to provide more configuration and
installation functionality than they would otherwise
do, and will accellerate what I take to be the
eventually inevitable acceptance of perl as a core
unix utility on a par with /bin/sh & kin.

Steve Jobs when introducing NeXT spoke to the
value of "raising the lowest common denominator":
Increasing the base functionality on which
portable packages can safely depend.

The higher the base functionality, the smaller
and more powerful portable packages can be, on
average.

That philosophy can clearly be taken too far, but
I think an excellent case can be made for making
Perl officially approved base functionality which
portable packages are encouraged to use to the
full, rather than optional functionality to be
used only when absolutely necessary.

 Cynbe